<script setup lang="ts">
import { useEmployStore } from '@/stores/employee';
import EmployeeCard from './EmployeeCard.vue'
import { type Employee } from '@/types/Employee'
import { onMounted } from 'vue';
const props = defineProps<{
  employees: Employee[]
}>()
const employeeStore = useEmployStore();
onMounted(() => {
  employeeStore.getEmployees()
})
employeeStore.onMounted
const emit = defineEmits<{
  selectedEmployee: [Employee]
}>()
</script>
<v-card></v-card>

<template>
  <div style="height: 200px; overflow-x: auto; " >
    <v-container>
      <v-row>
        <v-col v-for="item of employees" :key="item.id">
          <EmployeeCard :employee="item"></EmployeeCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
